Bug 148172 - Kontact crashes often after update
Summary: Kontact crashes often after update
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash with 15 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 148138 148199 148266 149630 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-07-24 18:17 UTC by Oliver Zimmermann
Modified: 2015-12-31 03:51 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Kontact crash backtrace log (5.06 KB, text/plain)
2007-09-17 17:49 UTC, Hugo Costelha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Zimmermann 2007-07-24 18:17:46 UTC
Version:           Unbekannt (using KDE 3.5.7 "release 60.1" , openSUSE )
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.16.27-955-smp

After the latest update via YaST (SuSE 10.1) Kontact crashes often. Sometimes at startup, sometimes just when changing the application (going from Mail to Calender, etc.) A backtrace is:

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1241573712 (LWP 5754)]
[New Thread -1307690080 (LWP 13041)]
[New Thread -1287631968 (LWP 5758)]
[New Thread -1279239264 (LWP 5757)]
[New Thread -1270846560 (LWP 5756)]
[New Thread -1262453856 (LWP 5755)]
[KCrash handler]
#6  0xb6eca18d in QString::QString () from /usr/lib/qt3/lib/libqt-mt.so.3
#7  0xb668aeee in KCal::Incidence::relatedToUid ()
   from /opt/kde3/lib/libkcal.so.2
#8  0xb66c439f in KCal::ICalFormatImpl::populate ()
   from /opt/kde3/lib/libkcal.so.2
#9  0xb66bc3ba in KCal::ICalFormat::fromRawString ()
   from /opt/kde3/lib/libkcal.so.2
#10 0xb66bca20 in KCal::ICalFormat::load () from /opt/kde3/lib/libkcal.so.2
#11 0xb66e47c9 in KCal::FileStorage::load () from /opt/kde3/lib/libkcal.so.2
#12 0xb66ade24 in KCal::CalendarLocal::load () from /opt/kde3/lib/libkcal.so.2
#13 0xb66e8092 in KCal::ResourceLocal::doLoad ()
   from /opt/kde3/lib/libkcal.so.2
#14 0xb66e745a in KCal::ResourceCalendar::load ()
   from /opt/kde3/lib/libkcal.so.2
#15 0xb66f34de in KCal::CalendarResources::load ()
   from /opt/kde3/lib/libkcal.so.2
#16 0xb29fd56e in KOrganizerPart::KOrganizerPart ()
   from /opt/kde3/lib/kde3/libkorganizerpart.so
#17 0xb29fe408 in KParts::GenericFactory<KOrganizerPart>::createPartObject ()
   from /opt/kde3/lib/kde3/libkorganizerpart.so
#18 0xb7986e4f in KParts::Factory::createPart ()
   from /opt/kde3/lib/libkparts.so.2
#19 0xb7d8b99d in Kontact::Core::createPart ()
   from /opt/kde3/lib/libkpinterfaces.so.1
#20 0xb7d8d102 in Kontact::Plugin::loadPart ()
   from /opt/kde3/lib/libkpinterfaces.so.1
#21 0xb5795005 in TodoPlugin::createPart ()
   from /opt/kde3/lib/kde3/libkontact_todoplugin.so
#22 0xb7d8d072 in Kontact::Plugin::part ()
   from /opt/kde3/lib/libkpinterfaces.so.1
#23 0x0805bef0 in Kontact::MainWindow::selectPlugin ()
#24 0x0805e1a2 in Kontact::MainWindow::qt_invoke ()
#25 0xb6bf914d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x08060331 in Kontact::SidePaneBase::pluginSelected ()
#27 0x08060511 in Kontact::SidePaneBase::qt_emit ()
#28 0x080607af in Kontact::IconSidePane::qt_emit ()
#29 0xb6bf9191 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0x08060a11 in Kontact::Navigator::pluginActivated ()
#31 0xb6cce47a in QListBox::mousePressEventEx ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0xb6cce864 in QListBox::mousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0xb6c31a4e in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0xb6b99bb7 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0xb6b9aaeb in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0xb7252843 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#37 0xb6b38eb2 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0xb6b38086 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0xb6b4884a in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0xb6bb09d8 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0xb6bb086e in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#42 0xb6b9976f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#43 0x08058c39 in main ()
Comment 1 Thomas McGuire 2007-07-24 23:53:06 UTC
*** Bug 148138 has been marked as a duplicate of this bug. ***
Comment 2 Thomas McGuire 2007-07-25 16:50:51 UTC
*** Bug 148199 has been marked as a duplicate of this bug. ***
Comment 3 Bram Schoenmakers 2007-07-27 22:13:51 UTC
*** Bug 148266 has been marked as a duplicate of this bug. ***
Comment 4 Dirk Meetschen 2007-08-03 14:02:54 UTC
It's a problem in libkcal obviously. For me it even makes the standalone korganizer crash. I can reproduce it by deactivating and reactivating the active resource in the resource view (in both kontact and korganizer). But it also makes kontact crash, when opening the overview.
Comment 5 Bram Schoenmakers 2007-08-04 13:43:06 UTC
We need a better backtrace in order to track it down. Also attaching the affected ICS file here would be nice.

Please read http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports for the backtrace part.
Comment 6 Oliver Zimmermann 2007-08-04 16:03:34 UTC
There is no debug-rpm available for kdepim  resp. kontact. What is an 
ICS-file?
Comment 7 Bram Schoenmakers 2007-08-05 11:00:12 UTC
An ICS file is where the calendar data is stored into. When your calendar is stored locally, you usually find it in ~/.kde/share/apps/korganizer .

That you can't find the debug packages looks like a openSUSE issue I can't help you with, unfortunately.
Comment 8 Oliver Zimmermann 2007-08-05 11:53:21 UTC
Im am getting the current KDE updates from

ftp://ftp5.gwdg.de/pub/opensuse/repositories/KDE:/KDE3/SUSE_Linux_10.1

Post an ICS-files would mean posting my calender with entries?
Comment 9 Bram Schoenmakers 2007-08-05 12:10:48 UTC
I can understand your ICS may contain private information, and of course I won't force you to publish all that.

You can mail it privately to me if you don't have problems with that.

Or if you don't want to, you can try to locate the problem yourself. Copy your ICS file and try to track down which entry inside triggers the crash. To quickly accomplish this, use the binary search method:

Strip the first 50% of the entries in the copied file and load that file in KOrganizer. If it does not crash, the problem was in the first 50%, else it's in the remaining 50%. Repeat these steps until you have only 1 item left. You can eventually replace private texts with some other texts (and test after that if the crash still occurs).
Comment 10 Dirk Meetschen 2007-08-06 10:14:07 UTC
I've tried to locate the entry as you told. But it seems like it is the mere amount of entries causing the crash, for me it's 64 VTODOs, 103 VEVENTs, and 51 VJOURNALs. I took a copy of this file, deleted the first half of it and tried to produce that crash, but everything was stable, then. The same with the second half. Feeding in the whole amount again korganizer crashes when loading the file for the second time.
You will understand, that I can't replace all potentially private text by hand.
If you can provide a debug RPM for openSuse 10.2 (I use kdepim3-3.5.7-37.1@i586.rpm), that might be very helpful.
Comment 11 Bram Schoenmakers 2007-08-06 21:07:14 UTC
Maybe the openSUSE forum can help you with that, because my knowledge about openSUSE is lacking.
Comment 12 Oliver Zimmermann 2007-08-06 23:13:31 UTC
If it is the amount of entries, it's bad. I like to keep old entries in order 
to have a research possibility of where I had business meetings with whom. If 
I would not like to delete those.

But the single components of Kontact (Kmail, Korganizer, etc.) work fine if 
started solitary.
Comment 13 Andre Woebbeking 2007-09-07 16:14:49 UTC
Hi, I've the same crash with self compiled KDE 3.5.x branch (some weeks old). As my backtrace is a bit more verbose it's maybe helpful:

Using host libthread_db library "/lib/libthread_db.so.1". 
 [Thread debugging using libthread_db enabled] 
 [New Thread 47603217404016 (LWP 4303)] 
 [New Thread 1107310928 (LWP 4307)] 
 [New Thread 1098918224 (LWP 4306)] 
 [New Thread 1090525520 (LWP 4305)] 
 [New Thread 1082132816 (LWP 4304)] 
 [KCrash handler] 
 #5  QString (this=0x7fff36354810, s=@0x1d4f1d0) at tools/qshared.h:49 
 #6  0x00002b4b7500bcf2 in KCal::Incidence::relatedToUid ( 
     this=<value optimized out>) 
     at /Devel/src/kde/kdepim/libkcal/incidence.cpp:288 
 #7  0x00002b4b750389da in KCal::ICalFormatImpl::populate ( 
     this=<value optimized out>, cal=0x19c2920, calendar=<value optimized out>) 
     at /Devel/src/kde/kdepim/libkcal/icalformatimpl.cpp:2032 
 #8  0x00002b4b75033ee4 in KCal::ICalFormat::fromRawString ( 
     this=0x7fff36354b00, cal=0x19c2920, text=<value optimized out>) 
     at /Devel/src/kde/kdepim/libkcal/icalformat.cpp:184 
 #9  0x00002b4b7503448c in KCal::ICalFormat::load (this=0x7fff36354b00, 
     calendar=0x19c2920, fileName=<value optimized out>) 
     at /Devel/src/kde/kdepim/libkcal/icalformat.cpp:98 
 #10 0x00002b4b7504c252 in KCal::FileStorage::load (this=0x7fff36354bb0) 
     at /Devel/src/kde/kdepim/libkcal/filestorage.cpp:97 
 #11 0x00002b4b7502ad77 in KCal::CalendarLocal::load (this=0x19c2920, 
     fileName=@0x7fff36354c40, format=0x0) 
     at /Devel/src/kde/kdepim/libkcal/calendarlocal.cpp:66 
 #12 0x00002b4b7504ead3 in KCal::ResourceLocal::doLoad (this=0x19c28b0) 
     at /Devel/src/kde/kdepim/libkcal/resourcelocal.cpp:154 
 #13 0x00002b4b7504e019 in KCal::ResourceCalendar::load (this=0x7fff36354810) 
     at /Devel/src/kde/kdepim/libkcal/resourcecalendar.cpp:111 
 #14 0x00002b4b750588d3 in KCal::CalendarResources::load (this=0x19af930) 
     at /Devel/src/kde/kdepim/libkcal/calendarresources.cpp:143 
 #15 0x00002b4b7f81471c in SummaryWidget (this=0x1c1cdd0, 
     plugin=<value optimized out>, parent=<value optimized out>, 
     name=<value optimized out>) 
     at /Devel/src/kde/kdepim/kontact/plugins/korganizer/summarywidget.cpp:68 
 #16 0x00002b4b7f80f90c in KOrganizerPlugin::createSummaryWidget ( 
     this=0x8bbef0, parent=0x18fb6a0) 
     at /Devel/src/kde/kdepim/kontact/plugins/korganizer/korganizerplugin.cpp:73 
 #17 0x00002b4b81f9b5e5 in SummaryViewPart::updateWidgets (this=0x1869b00) 
     at /Devel/src/kde/kdepim/kontact/plugins/summary/summaryview_part.cpp:179 
 #18 0x00002b4b81f9c2bb in SummaryViewPart (this=0x1869b00, core=0x71e8f0, 
     aboutData=0x18c5f70, parent=0x94df70, name=<value optimized out>) 
     at /Devel/src/kde/kdepim/kontact/plugins/summary/summaryview_part.cpp:78 
 #19 0x00002b4b81f998d1 in SummaryView::createPart (this=0x94df70) 
     at /Devel/src/kde/kdepim/kontact/plugins/summary/summaryview_plugin.cpp:47 
 #20 0x00002b4b74d6a6d1 in Kontact::Plugin::part (this=0x7fff36354810) 
     at /Devel/src/kde/kdepim/kontact/interfaces/plugin.cpp:144 
 #21 0x000000000041c8a1 in Kontact::MainWindow::selectPlugin (this=0x71e8f0, 
     plugin=0x94df70) at /Devel/src/kde/kdepim/kontact/src/mainwindow.cpp:536


Cheers,
André
Comment 14 Andre Woebbeking 2007-09-07 16:16:19 UTC
*** Bug 149630 has been marked as a duplicate of this bug. ***
Comment 15 Hugo Costelha 2007-09-11 11:20:17 UTC
What seems strange. is why it happens when starting kontact, but not when starting korganizer, since calendar is a korganizers's thing, right?
Comment 16 Oliver Zimmermann 2007-09-11 11:57:23 UTC
Yes, each applikation works fine if launched independently. There must be a flaw in the way how they are implemented into Kontact.
Comment 17 Christo 2007-09-11 12:24:57 UTC
i disabled the summary-module and :-( dont use it anymore .. since it reproduceable crashes Kontact ... i also think that its ical-based albeit Kalendar has no issues .. :-) 
Comment 18 Hugo Costelha 2007-09-13 13:54:15 UTC
I installed the debuginfo package, and now it does not crash!!!!

Let us hope it crashes soon, so that I can paste here the complete crash log.
Comment 19 Hugo Costelha 2007-09-17 17:49:47 UTC
Created attachment 21642 [details]
Kontact crash backtrace log

It crashed again. Here goes the backtrace log with debug information.
Comment 20 Hugo Costelha 2007-09-18 11:10:11 UTC
I found out that it only happens if kontact is started in the summary module. If I do "kontact --module kmail", it starts without crashing. However, if click on the Summary view, it crashes right away. Clicking on calendar does not give any problems.

So definitely, the problem is all within the Summary module.
Comment 21 Oliver Zimmermann 2007-09-18 17:38:12 UTC
It's not that easy: I start Kontact always with the summary, but the crashes 
occur very irregularly. If that happened here (most often several times in a 
row), I started KOrganizer separately, disabled the standard ressource (the 
only one apart from birthdays from KAddressBook). Then Kontact starts, I call 
the calender and reactivate the ressource.
Comment 22 Andre Woebbeking 2007-09-19 19:22:18 UTC
Seems to be fixed by

http://websvn.kde.org/?view=rev&revision=713466
Comment 23 Dirk Mueller 2007-09-19 22:26:16 UTC
I agree. closing. suse update will be done soon.